:root{
    --text-hover: #ffffff;
    --elem-hover: #000000;
    --shadow: rgba(0, 0, 0, 0.35);
    --color-container: #ffffff;
}

@media (prefers-color-scheme: dark) {
    :root{
        --text-hover: #e6f1eb;
        --elem-hover: #1a1f1c;
        --shadow: rgba(0, 0, 0, 0.7);
        --color-container: #2e3f38;
    }
}


/*------------COMMUN-----------*/
.container{
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 85%;
}

.photo img, .folder img{
    border: 3px solid transparent;
    width: 100%;
    overflow: hidden;
    object-fit: cover;
    object-position: 50% 30%;
    display: block;
    margin: 0pt;
    aspect-ratio: 800 / 553;
}


/*----------VIEw---------*/

.photo, .folder{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    margin:10pt;
    padding: 5pt;
    border: none;
    background-color: var(--color-container);
    border-radius: 5px;
    width : 30%;
    overflow: hidden;
    box-shadow: 5px 5px 5px var(--shadow);
}

.folder{
    transition: all 0.15s ease-in-out;
}
.folder:hover{
    cursor: pointer;
    transform: translateY(-0.1%) scale(1.05);
}
.photo img, .folder img{
    border-radius: 5px;
}
.photo img:hover{
    border:none;
    box-shadow: 5px 5px 5px var(--shadow);
    cursor: pointer;
}

.minor, .plus {
    
    border-radius: 30px;
    width: 30%;
    height:20;
    margin: 2pt;
    transition: all 0.15s ease-in-out;
}
.minor:hover{
    background-color: var(--color-negative-light-hover);
    border: 2px solid var(--color-negative-light-hover); 
    color:  var(--text-hover);
    font-weight: 300;
    transform: scale(1.05);

}
.plus:hover {
    background-color: var(--color-positive-light-hover);
    border: 2px solid var(--color-positive-light-hover); 
    color:  var(--text-hover);
    font-weight: 300;
    transform: scale(1.05);
}
.minor{
    background-color: var(--color-negative-light);
    border: 2px solid var(--color-negative); 
}
.plus{
    background-color: var(--color-positive-light);
    border: 2px solid var(--color-positive); 
}
.cart-buttons{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap:10px;
    width:100%;
    height:30%;
}

.photo-interactions{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width:100%;
    margin-top: 5pt;
}


/*----------------------MEDIA ADAPTIVES------------------------------*/

/*------------MOBILE-----------*/
@media (max-width: 500px) {
    .container{
        /*TODO : Problem of center here */
        width: 90%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex-wrap: nowrap;
    }
    .photo, .folder{
        width:100%;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }

    .photo-interactions{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .photo img, .folder img{
        width:100%;
        height: auto !important;
    }

}

/*-----------TABLET-----------*/
@media (min-width: 501px) and (max-width: 980px) {
    .photo, .folder{
        width:44%;
    }
    .container{
        width: 90%;
    }
}